SUPERDUPER QUAKE CHANGELOG
"CROUCHING FOR LOSER. STAND UP DIE LIKE MAN" - BONDO

Recommended Engine is Enhanced GLQuake by aguiRre
http://user.tninet.se/~xir870k/

or Darkplaces
http://icculus.org/twilight/darkplaces

UNZIP TO YOUR SDQUAKE DIRECTORY UNDER MAIN QUAKE DIRECTORY

TO USE BOTS AND GRAPPLING HOOK USE:
glquake -heapsize 98304 -bpp 32 -game SDQUAKE -listen 8 +coop 3 +map start

20120402
SuperQuake 3.0 Beta
level up system in place
every weapon has two levels
no weapon pickups in maps. weapons must be earned through frags
bug with chasecam. if you die with chasecam enabled cam stays where you die. disable then reenable cam (default F key)
new start map
added triple projectiles
added go kart powerup
added shield powerup
ring of power powerup limited to level 9


20110214
Changed M4 and M5 health to 7500/15000
changed frags necessary to earn health based on skill: 30/60/120 for skill 0, 60/120/240 for skill 1, 120/240/480 for skill 2 and so on
frags are saved from map to map
god powers consume health (again)
fixed three.mdl not being precached

20110209
added mad bomber monster
added new attack for fiend
added powerups for 25/50/100 frags

20110102
Ring of Power now gives god powers and double damage. it still gives full ammo/weapons
Relit maps using mh/bjp light tool
added plasma soldier class 4
added multi projectile powerup. triples attack projectiles. doesn't effect traceline weapons (bullets and melee). this will randomly replace quad damage on maps. item_artifact_multiprojectile
super top down quake: compile code (qcc.bat) in .\std28 and use the sdqengine: sdqengine -game sdquake +exec chase.cfg +map stdq02

20100721
fixed some bugs with a few maps
REPLACED TWIN CHAINGUN WITH REALLY REALLY AWESOME TWIN CHAINGUN
REPLACED BULLET TURRET WITH TWIN CHAINGUN TURRET
ADDED ENFORCER SHIP CLASS 4 MONSTER
ADDED BONDO79
ADDED BONDO80
ADDED BONDO75
ADDED FRAG MACHINE'S "DEAD NOT SO SIMPLE"
ADDED FRAG MACHINE'S "THE CORE"
ADDED FRAG MACHINE'S "MOEBIUS"
ADDED AI_GET_ANGRY TO SUPER CRAFTY
FIXED TWIN FREEZE SHOTGUN FIRING FROM WRONG SIDE
CHANGED RANDOM_CHANGELEVEL BACK TO EXECUTE_CHANGELEVEL
ADDED NEW START MAP. STILL NEED TO CREATE SKILL SETTINGS
REMOVED LIGHTNING GUN
ADDED SOME MISSING 24-BIT TEXTURES FOR DARKPLACES
NEW MODEL FOR STRIKER

20100508
BOTS CANNOT USE WMDS: VORTEX/DOOMSDAY/ORBITAL/NAPALM/NUKE/WORLD ENDER/DEATHSHEAD
ADDED TWIN ELEPHANT RIFLE
ADDED TWIN ROCKET SHOTGUN
REPLACED GRAVITY MISSILE WITH STRIKER
ADDED BONDO78
ADDED BONDO77
ADDED BONDO76

20100302
ADDED BONDO19
ADDED BONDO71
ADDED BONDO72
ADDED BONDO73
ADDED BONDO74
FIXED BUG WITH PLAYER MODELINDEX IN OBSERVER MODE
FIXED BUG WITH MONSTER AI IN OBSERVER MODE

20100216
INCREASED RANGE OF SHAMBLER MISSILE ATTACK
FIXED A BUG WITH FRIEND_FB_TURRET AND FRIEND_NUKE_TURRET
SET HEALTH OF TURRETS TO INCREASE WITH SKILL LEVEL
FIXED BUG WITH RIGHTEOUS TELEPORT
ADDED BONDO17
FIXED BUG WITH PLAYER MODEL
DOES ANYONE USE THE HOLOGRAM? GOOD CAUSE I KILLED HIM
FRIEND_FB_TURRET WILL NOW REPLACE MONSTER_TUR IN MAPS
PUFF OR BADBALL WILL REPLACE DUKE JETPACK BOSS IN MAPS
ADDED CHAINSAW MODE
CLIENT CAN NO LONGER CHANGE SKIN TO JESUS IN PROTON STORM/LIGHTSABER/FREEDOM BOMB/CHAINSAW MODES
IN LIGHTSABER AND CHAINSAW MODES ONLY CLASS 1-3 MONSTERS SPAWN
IN LIGHTSABER/CHAINSAW MODES, MONSTER COUNT INCREASED BY 50%
ADJUSTED BOT_AI TO SET PRIORITY FOR ATTACKING MONSTERS BASED ON MONSTER CLASS
ADJUSTED BOT_FIGHT TO LET BOT USE AKIMBONANZA

20100214
FIXED A PRECACHE BUG WITH THE MEGABARON
FIXED TURRET BUGS
ADDED PUFF THE MAGIC DRAGON
NEW GOD POWER: RIGHTEOUS TELEPORT
ADDED FIREBOLT TURRET
ADDED TWIN LASER CANNON
ADDED MAP BONDO70
ADDED GRAVITY BOMB

20100204
ADDED FEMBOT. BASED ON CRAFTY Q2 PLAYER MODEL
NAILGUN WEAPONS:
	ADDED THE TURRET. SHOOTS BULLETS
	REPLACED PDS WITH THE NAIL TURRET
	ADDED THE FIREBOLT TURRET.
GRENADE LAUNCHER WEAPONS:
	ADDED THE MISSILE TURRET
	ADDED THE FBOMB TURRET
ADDED RIGHTEOUS TELEPORT TO GOD POWERS. SET SKIN TO 6 AND ACCESS AXE WEAPONS
ADDED MESSAGE WHEN YOU'RE BEING SHREDDED BY SHREDDER NAILS
ADDED MESSAGE FOR WHO HAS THE MOST KILLS

20100114
NEW SKIN FOR BALL MONSTER
ADDED THE DEMON KING. DUAL SHOULDER MOUNTED ROCKET LAUNCHERS
ADDED SUPER CYBORG. CLASS 4. RAPID FIRE ROCKETS
ADDED ZOMBIE LORD. CLASS 5, TWO RANGED ATTACKS, PLUS CHARGING MELEE
ADDED FIREBOMBING MINI SHAMBLER
ADDED NEW AI FOR HULK. ATTACKS ANYTHING IN HIS WAY
LAST MAN STANDING IS DEFAULT MODE. ADD 16 TO COOP VAR TO HAVE 999 LIVES PER MAP. 5 IS DEFAULT
SKILL VAR NOW DETERMINES INITIAL WEAPON LOADOUT, MAX HEALTH, AND INITIAL PENT OF PROT TIME
FIXED SUPER FAST PLAYER ROBOT ROCKET ATTACK
ADDED THE ARMY CAR
FIXED MISSING OBITS ON EXPLODING MONSTER DEATHS

20091231
Removed ALL HRP STUFF
ADDED PLAGUE BUZZSAW DOUBLE DOUBLE BARRELLED SHOTGUN
CHANGED SUPERDUPER NAILGUN TO PLAGUE SPIKES
ADDED DOUBLE FREEZE SHOTGUNS
ADDED BUZZSAW PLAYER MODEL
NEW HAMMER PLAYER MODEL
CREATED SDQUAKE SINGLE PLAYER 2.5. USE THIS CODE TO PLAY THROUGH ORIGINAL EPISODES
ADDED FRAGGER ARMAGON SKIN

20091208 v2.2
added Super Lizard. shoots rockets. Class 4
removed railgun
added Doombringer Axe. Causes wave of destruction when connects with a monster
added Throwing Axe. by request
added bug from Starship Troopers. Q3 model conversion. Class 3. Melee attack. Very fast
added Arachnotron. Q3 model conversion. Class 5. Rockets and machine gun
addes spider
added skeleton
added twin freeze blaster. replaces freezegun. freeze shotguns
added twin mini buzzsaw blaster. shoots spinning buzzsaws which dig in and release plague
new functionality added to plague gibs/nails/buzzsaws: contagious plague. plague causes monster to explode, with chance of releasing plague gibs
added bug mode: coop 4096. bug/scourge/alien drone/spider
skill 2 spawns class 3, then at the end, a few class 4, and one class 5
fixed skill 2 and 3 to only spawn class 5 monsters at the VERY END
added twin obliterators
added twin freedom bomb cannons. replaces freedom bomb cannon
REMOVED QUEEN SPAWNING DRONES
REMOVED FAT COMMANDER
REPLACED TWIN ANTIMATTER CANNON WITH TWIN POSITRON MULTI CANNON
INCREASED RANGE OF FIREBULLETS AND PM_FIREPELLETS TO 4096 FROM 2048
ADDED CLASS 4 OCTABRAIN: THE NUTSACK
ADDED MERCENARY. CLASS 1, SHOOTS FREEDOM BOMBS
RESIZED CLASS 4 MONSTERS TO SHAMBLER SIZE

20090320 v2.0
ADDED PER-KR'S ARMOR AS A POWERUP. LASTS 40 SECS, 800 HEALTH, 200 ARMOR, USES NO AMMO. RANDOMLY REPLACES P OF P
ADDED GO KART TO SUPER NAILGUN WEAPONS. RAMS AND SHOOTS NAILS. RAMMING SPEED DEPENDS ON HEALTH
ADDED CHAINSAW TO AXE WEAPONS
ADDED BATTLELORD: CLASS 5
ADDED DUKE SUPER CLONE AND DUKE SUPER CLONE WITH JETPACK: CLASS 5
ADDED DUKE SUPER CLONE HELPER BOT. POWERUP MUST BE PLACED MANUALLY IN MAPS. GO TO THE TOP OF BONDO64
ADDED BONDO64
ADDED JETPACK DUKE MONSTER: CLASS 2
ADDED LIGHTNING BOLTS TO JESUS WEAPONS
ADDED DUKE SHOTGUN TO SUPER SHOTGUN WEAPONS
ADDED FREEZE MISSILE. REPLACES DRUNK MISSILE
ADDED ICE BALROG MONSTER: CLASS 4
ADDED LO WANG SOUNDS/SKIN. SKIN NO 5
ADDED NEW ELMO SOUNDS. SKIN NO 2
ADDED ASH SOUNDS. SKIN NO 4
ADDED GO KART MODE: ADD 512 TO COOP OR DEATHMATCH CVAR
ADDED JESUS MODE: ADD 1024 TO COOP OR DEATHMATCH CVAR
ADDED 200 MONSTER MODE: ADD 2048 TO COOP CVAR. THIS REPLACES MAP SPECIFIC 200 MONSTER MODE
ADDED LIGHTSABER
ADDED FAT COMMANDER
ADDED TWO VERSIONS OF ALIEN DRONE: FOUR VERSIONS NOW WITH FOUR SKINS: BROWN CLASS 1 THROUGH BLUE DOUBLE STRONG CLASS 3
ADDED CODE TO KEEP FRIKBOTS FROM NUKING PLAYERS IN COOP/TEAMPLAY
ADDED CORRECT GIB VELOCITIES
ADDED DUKE HELPER AND ROBOT ARMOR TO BOSS DROP POWERUP FUNCTION
NEW EXPLOSIONS FOR FBOMBS (24 BIT TEXTURES ONLY)
NEW FBOMB VIEWMODEL
NEW DEVASTATOR VIEWMODEL
NEW DEVASTATOR PICKUP MODEL
REMOVED DEBUG MODE
REMOVED DRONES SPAWNING FROM QUEEN. THEY NOW SPAWN LIKE ANY OTHER MONSTER
REVERTED TO OLD ROBOT HELPER AI. PLAYER CAN NOW HAVE MULTIPLE ROBOT HELPERS
ROBOT HELPER AND ROBOT MONSTER NOW HAVE BOTH MACHINE GUN AND ROCKET ATTACKS
INCREASED COST OF PERIMETER DEFENSE TO 50 ROCKETS
INCREASED RUN SPEED OF HULK
FIXED BOSS MONSTERS DROPPING BACKPACK INSTEAD OF POWERUPS
FIXED MELEE SHAMBLER OBIT
FIXED CLASS 5 MONSTERS NOT SPAWNING IN 200 MONSTER MAPS
FIXED SKIN ON OVERLORD MUZZLE FLASH
FIXED THE LIZARD CAPTAIN'S JUMP AND FIRE ATTACKS
FIXED CURRENTAMMO FOR THE SUPERDUPER NAILGUN
NORMALIZED HULK SOUNDS
INCREASED DAMAGE OF TWIN ANTIMATTER GUN/DESTRUCTO GUN
DECREASED SIZE OF SUPERDUPER BLAZE AND JESUS FLAME
INCREASED ATTACK RATE OF TWIN SHOTGUN AND TWIN SUPER SHOTGUN
INCREASED DAMAGE OF MMAW
INCREASED ATTACK RATE OF BUZZSAW
DECREASED RUN/FLY SPEED OF PREDATOR TROOPER
ENABLED RELOCATE DUKE HELPER. TELEPORTS LAST DUKE HELPER ACTIVATED TO YOUR LOCATION
UPDATED WEAPON_RANGE IN BOTFIGHT.QC FOR NEW WEAPONS

20090121 v1.85
ADDED THE ALIEN QUEEN AND ALIEN SPAWN DRONES
ADDED THE OVERLORD
FIXED SOME OBITS
REMOVED THE SUPER ROBOT
ADDED BONDO60: ANOTHER BI-LEVEL COLUMN ARENA ... IN A CUBE
ADDED BONDO61: A VIS NIGHTMARE...IN A CUBE
ADDED BONDO62: FIGHT THE MONSTERS BLASTING YOU FROM ABOVE ... IN A CUBE
ADDED BONDO63: Bigger badder stadium! In a CUBE!
ADDED THE DUAL PLASMA CANNON TO AKIMBONANZA
FIXED A BUG WITH THE PIGCAR
BONDO16, BONDO51, BONDO58, BONDO60, AND BONDO 63 WILL NOW SPAWN 200+ MONSTERS

20081027 v1.8 NOT RELEASED
HEAVY CHAINGUN NO-FIRE-DARKPLACES BUG FIXED
ADDED PIGTANK
ADDED PIG RECONCAR
ADDED LIZARD CAPTAIN
ADDED BONDO57: KING OF THE HILL
ADDED BONDO58: KING OF THE HILL 2
ADDED BONDO59: GLEAMING THE QUBE
CHANGED ASSAULT CANNON TO HEAVY CHAINGUN
CHANGED HEAVY CHAINGUN TO DUKE CHAINGUN
REMOVED DUAL ROCKET LAUNCHER/DUAL GRENADE LAUNCHER. THEY DON'T SEEM TOO USEFUL ANYMORE
ADDED TECH FLAG FOR ROBOTS/REMOTE DRONES/TANKS/CARS. TECHS DON'T BLEED, THEY SPARK. THEY ALSO DON'T CATCH ON FIRE
BOSS MONSTERS NO LONGER TAKE HALF DAMAGE FROM EXPLOSIVES. THEY JUST HAVE MORE HEALTH
PDS UPGRADED. NAME CHANGED TO 'PERIMETER DEFENSE SYSTEM'. ROCKET COST INCREASED TO 15

20081017 SDQUAKE VERSION 1.7
CREATED TWO NEW SPACESHIP MONSTERS. they don't quite fit in. they're there, just not used
ADDED NEW ATTACK TO EMPEROR
ADDED M60 MACHINE GUN TO SUPER SHOTGUN. HARD TO AIM, BUT VERY POWERFUL
ADDED THE FREEZE GUN. A LITTLE BUGGY. DOESN'T FREEZE PLAYERS, JUST SHATTERS THEM INTO GIBS AND ICE
ADDED THE FREEDOM BOMB DOUBLE BLASTER. MODELS BY BONDO. SKINS ADAPTED FROM OTHERS
ADDED THE MIGHTY BOOT
ADDED THE RAILGUN. FINALLY. IT'S NOT THE QUAKE2 RAILGUN, BUT IT'S STILL A RAILGUN AND IT'S COOL
ADDED ATTACK SKIN TO OCTABRAIN
ADDED BONDO48: DOOM FORTRESS
ADDED BONDO49: HELL'S DEEP
ADDED BONDO50: DYSON'S POLYHEDRON
ADDED BONDO51
ADDED BONDO52: DUKE CITY
ADDED BONDO53
ADDED BONDO54
ADDED BONDO55: AXEME BONDO
ADDED BONDO56: BASEBONDO
ADDED DUKETAUNT: IMPULSE 95
ADDED CUJO THE EVIL ATTACK DOG
ADDED THE DRONE
ADDED THE SUPER SOLDIER
ADDED THE CYBERDEMON
ADDED THE PHANTOM KNIGHT
ADDED THE SUPER SCOURGE
ADDED DEEP BLUE. VERY LARGE ROBOT. AND HE'S BLUE
ADDED THE DEATHBALL
REMOVED THE PLASMA GUN. REPLACED WITH EXPERIMENTAL B9
EXPERIMENTAL B9 PLASMA GUN HAS 3% CHANCE PER SHOT OF EXPLODING. OTHERWISE IT KICKS ASS AGAINST BOSS MONSTERS: +50% DAMAGE
NEW MODELS FOR DUKE/HOMER/ELMO
ADDED AA12 AUTOSHOT/FRAG12 FRAGMENTATION ROUND SHOTGUN
ADDED LIGHT_SUN: NEW LIGHT ENTITY WITH GRAVITY FIELD AND SUPERIOR DAMAGE
HP OF MANY MONSTERS MODIFIED TO BALANCE DIFFICULTY BETTER
DAMAGE/MONSTER HEALTH GLOBALS IN DEFS.QC FOR EASY GAMEPLAY BALANCING
REMOVED ROBOT2
SIMPLIFIED SCOURGE AI
REDUCED DAMAGE OF PM_TRACEPELLET
REDUCED DAMAGE OF BARON/OCTABRAIN BOMB
REDUCED DAMAGE OF ROBOT AND ENFORCER ROCKETS
INCREASED DAMAGE OF OBLITERATOR
INCREASED DAMAGE OF MAGIC BUZZSAW
INCREASED DAMAGE OF SUPER ROCKET LAUNCHER/DEATH BLOSSOM
INCREASED ATTACK SPEED OF PDS
DECREASED ROCKET COST OF PDS TO 10
DECREASED DAMAGE OF VORTEX
INCREASED ROCKET COST OF VORTEX TO 10
INCREASED BOUNDING BOX OF PLAYER WITH RING OF POWER
AMMOBOX AND WEAPON PICKUP CHANGES: BIG SHELLS/NAILS/CELLS 50. SMALL 25. BIG ROCKETS 25. SMALL 10. WEAPONS SHELLS/NAILS/CELLS 50. ROCKETS 25.
PLAYER SPEAKS AT BEGINNING OF EVERY MAP (DUKE, HOMER, OR ELMO)
MOVED AKIMBO CODE TO WEAPONS/AKIMBO.QC
PDS/SUPER SHAMBLER MISSILE CAN BE SHOT AND DESTROYED
REMOVED MAN BOMB
REMOVED ENERGY BEAM
REMOVED THROWING AXE
REMOVED SUPER NAILGUN
CHANGED SHREDDER FIRE SOUND TO SUPER NAILGUN FIRE SOUND
INCREASED SHREDDER TOUCH DAMAGE
REMOVED SUPER SHOTGUN
REMOVED SUPER NAILGUN
REMOVED TWIN LASER GUN
REORDERED LIGHTNING WEAPONS: PLASMA/POSITRON/PSTORM/HOLO/GRAV WELL/NAPALM/ORB BOMBARDMENT
CHANGED GRAV WELL EXPLOSION TO POSITRON EXPLOSION
REMOVED TRIPLE BARRELED SHOTGUN
FIXED TROOPER LASER ATTACK
DUKE TAUNTS THE EMPEROR RANDOMLY
MELEE SHAMBLERS ARE PARTIALLY INVISIBLE
REPLACED LIGHTSABER WITH HUGE SWORD FROM WARP SPASM. THANKS WARP SPASM
REMOVED LASERTARGETER CODE FROM CHASECAM.QC
FIXED SUPER MONSTER CODE SO THEY SHOULD ALL COME AT END OF INVASION
HELL KNIGHT MOVES FASTER
DAMAGE MULTIPLIERS (QUAD/RING) NOW STACK. THIS MEANS UP TO 16x DAMAGE!!!!!
WROTE A MISSION BRIEFING (STORY-LITE): BRIEFING.TXT
UPDATED SIGHT SOUNDS FOR MONSTERS
FIXED BUGS ASSOCIATED WITH LMS: MONSTER ROAMING/DEATH MESSAGES
THE BAUUL IS IMMUNE TO FIRE
THE ROBOT/SUPER ROBOT/DRONE/ROBOT HELPER TAKE DAMAGE FROM FIRE BUT WONT CATCH ON FIRE
ADDED JESUS MODE. SET SKIN TO 18 AND ACCESS THE AXE WEAPONS. THESE ARE THE NEW GOD POWERS! FOUR NEW GOD POWERS: HAIL/FIRE/PLAGUE AND DEATHBALL. EACH USES LOTS OF HEALTH TO USE, NO AMMO
ROBOT HELPER IS NOW ACCESSIBLE FROM LIGHTNING WEAPONS. YOU CAN SPAWN UP TO 15 TOTAL PER LEVEL. THEY LIVE EVEN IF YOU DIE. AIM AT A MONSTER AND TELEFRAG IT WITH A ROBOT HELPER
YOU TAKE 25% DAMAGE IN JESUS MODE
CREATED NEW AI FOR BALL AND ROBOT HELPER. YOU CAN HAVE MORE THAN ONE HELPER AT A TIME, BUT THEY MIGHT TURN ON YOU
SKIN STAYS FROM LEVEL TO LEVEL AND DEATH TO DEATH
SUPER SHREDDER/SUPERDUPER NAILGUN UPGRADED. THREE NAILS FIRE AT A TIME. AMMO COST PER SHOT TRIPLED ALSO
FIRING RATE AND DETONATION TIME FOR NUKE GRENADE CHANGED. YOU CAN NOW DROP THREE BEFORE THE FIRST GOES OFF
COST OF NUKE GRENADE REDUCED. ALSO CHANGED TO MOVETYPE_TOSS
DOUBLE BARRELED BOGEY ROASTER CHANGED TO BONDO'S FRICKIN' FLAMETHROWER -- THE BFF
BOSS MONSTERS RANDOMLY DROP POWERUPS
OBLITERATOR WITH IMPROVED OBLITERATION
DEVASTATOR MORE DEVASTATING

20080520 SD DUKE NUKEM QUAKE V1.0 (SDDMSP V1.6) ULTIMATE SUPERDUPER DUKE NUKEM VERSUS THE GALAXY EDITION!!!
ADDED MANY DUKE SOUNDS TO REPLACE HOMER SOUNDS. HOMER IS STILL A MONSTER
ADDED THE CYCLOID EMPEROR
ADDED PIGCOP
ADDED PREDATOR TROOPER (WALKING AND FLYING)
ADDED OCTABRAIN
ADDED ALIEN DRONE
ADDED BONDO42: UNITY IN COMMUNITY
ADDED BONDO46
ADDED BONDO45
CAN NO LONGER GIB SUPER SHAMBLER OR HULK. WHO EVER HEARD OF SUCH A THING?
REMOVED SOME LAME HOMER SOUNDS
MAGIC BUZZSAW NO LONGER HUNTS PLAYERS OR ROBOT HELPERS IN COOP
SUPER SHAMBLERS AND EMPERORS TAKE 25% DAMAGE FROM EXPLOSIVE WEAPONS AND 75% DAMAGE FROM BULLETS
ONCE IN A WHILE YOU'LL FIND A DAMAGE_NO MONSTER. JUST RESTART THE MAP

20080422 V1.50A
Last Man Standing Mode: Add 16 to your coop var. So coop with hook would be +coop 19. Players and bots each have five lives to kill everything on the map. If you don't make it, you start over. Only in coop. Very cool. Try skill 3 and BONDO41: THE HOT GATES.
Added Experimental B9 D-Plasma Gun. Model from Duke Nukem the Demonax Project.
A few skins added TO, SOME REMOVED FROM, PLAYER MODEL
enforcer fires continuously in skill > 1
added cyborg from 11 monster pack
added bondo43: INFESTATIONS
ADDED BONDO44: ARENA 28
modified bondo39
REVIVED BONDO15: TO HELL WITH R_SPEEDS
REVIVED BONDO10: (NO NAME YET)

20080331 V1.45
REMOVED PULVERIZER
CHANGED ROCKET PODS A BIT
CHANGED ORIGIN OF CERTAIN PROJECTILE WEAPONS (PODS, BLAZE, FLAME, DEV, PLASMA)
MODIFIED ROBOT AND BIG ROBOT. SMALL ROBOT NOW FASTER
FIX COOP SPAWNS IN DMSP
CHANGED PLAYER SKINS
NEW WEAPON SET ADDED: AKIMBONANZA. MUST KILL AN ENFORCER OR OGRE TO HAVE A CHANCE TO GET IT
A FEW MAPS ADDED
DOUBLE SHOTGUN AND SUPER SHOTGUN HAVE NEW ANIMS

20071011 1.41A
shamblers now take full damage from bullets. they were too strong before. super shamblers still take 70% damage from all bullet weapons
nuke mushroom cloud does more damage
deaths head uses more rockets (15)
hammer and lightsaber have longer reach when player has ring of power
orbital bombardment bombs over 50% larger radius 
removed unused functions in mjolnir.qc
added classname "holo" and "orb1" to bot_dudge_stuff. that function could go on for miles
added LordHavoc's Red City (dpdm2) to map rotation, slightly modified
fixed monster_homer dropping plasma gun with no cells. now he drops rocket launcher
added the HULK. based on frag machine's axeman, but with new skin, bigger, more damage, tougher, and longer reach. he also has a super attack that can knock a crowd down.DON'T LET HIM TOUCH YOU!
hulk takes half damage from everything
increased the damage of the proton storm
hell knight given armor
ogre given armor
homer, elmo, and ronald always have 300 H, 200 A. no longer dependent on skill level
ring of power no longer absorbs half damage and no longer doubles damage radius
enforcers take 1/2 damage from burning and plasma
the map filename is now printed out during the first three seconds of round start, then MOTD
added lrb to the map rotation. make sure your rig is maxed out for this one, launch the DOOMSDAY and have some gibs
added a new death: self destruct. if you're gibbed and you have 100 cells and rockets, you have a 10% chance of nuking
new high res textures for various models/sprites by ijed and aguirRe. THANKS!
added the Holiday Frags by JPL
added the World Ender Mark II, the Doomsday Device
fixed bug where enforcer fires three rockets then flame
grenades and rockets now have new explosion sprite. try the 24 bit sprite! it's COOL!
modified an existing quake.fgd to support superduper quake in Hammer
max_health = 500 in superduper health mode
grenade launcher, rocket launcher, and plasma cannon weapons have been reordered to place most destructive weapons last
lightsaber and hammer damage are both dependent on player health: if health > 100 damage = health/100 * damage. this effects radius damage of hammer also. hammer of thor has 10% kickback damage. With QD + PP + MH + max_health = 500 => damage = (90-99) x 2 x 4 x 6 = 4320 - 4752 for lightsaber plus same in radius damage for hammer
energy beam now particle beam. does 20-40 damage plus 250% damage to shamblers. plasma cannon and particle beam both do constant radius damage of 25 with 60 unit radius
100 maps now in skill < 2 map list
ammo cost for all weapons when player has ring of power is 0
modified autoexec.cfg to use enhanced glquake's enhancements for visual quality, but not developer messages
fixed some bugs with enforcer attacks
added big robot in skill > 1 to more closely resemble size of ED-209 from robocop. small robot is now in skill 1 and up. big robot will nuke at death 30% of the time
robots take damage from burning weapons but do not catch on fire
helper robots regenerate health at same standard rate as player
rewrote monsterspawner code. why? not sure. but it looks a lot better
robots and enforcers fire continuously in skill 2 and up
robots no longer bleed, but spark when attacked
fixed velocity bug of energy beam where beams sometimes hit the player
ronald, elmo, homer, knight, hell knight, and hulk melee attacks spawn blood
bounce rockets are now bouncing drunk rockets
heads, man bomb, proximity mine removed
new cheat command gives all players in coop mode all weapons and the ring of power, including bots. impulse 253
added bondo22: Sinner's Canyon
ADDED NAPALM
FIXED PLASMA CANNON V_WEAPON ANIMATION
FROM NOW ON THIS FILE WILL BE IN ALL CAPS BECAUSE THAT'S EASIER. IF YOU ARE SENSITIVE TO "YELLING", SORRY
ADDED NEW CONBACK.LMP. LOOKS AWESOME
ADDED NEW GFX.WAD FOR IN GAME TEXT. AWESOME
MODIFIED FALLING VELOCITY OF DOOMSDAY DEVICE TO SPREAD WARHEADS OUT BETTER
MODIFIED THE MMAW
MODIFIED THE MAN BOMB. REMOVED HEADS
DEATHSHEAD, DOOMSDAY PARENT MISSILE ANGLES NOW CORRECTED WHEN VELOCITY_Z < 0
ADDED THE PULVERIZER, A CROSS BETWEEN DEVASTATOR AND DEATHSHEAD
ALL OBITS FIXED!!!!

20070803 v1.4
added Orbital Bombardment. access from lightning gun
added high res textures for certain guns
modified autoexec.cfg to use high res textures if using bengtquake
modified autoexec.cfg to use WASD. "I" is now change skin
reworked arrangement of monsters in skill levels. see dmsp.qc
fixed wide monsters trapped in walls bug. thanks fat controller
added more maps to map rotation
added bondo26, bondo28, and bondo29
rewrote map rotation code. 3 execute_changelevel's on start.bsp will jump to any random level. from there the game will rotate the maps depending on which map you start in, so you will hit every map in succession if you play long enough. 
added assault cannon, kind of. nailgun weapon
upgraded melee damage for all monsters with melee attack
added double shotgun
increased blaze damage
changed mirv to deaths head: nine warheads. rocket launcher
combined rockbomb.qc and rott.qc into dblossom.qc
renamed firebomb.qc to mmaw.qc
changed the way number of monsters is calculated: skills 2 and 3 it's 20*(skill + 1), all others it's 20*(skill + 2)
decreased regen time of powerups and megahealth
shamblers and super shamblers take 70% damage from bullet weapons and 50% from explosive weapons, and 150% from plasma cannon
created two weapons: electromagnetic pulse and yuckbomb, both of which are not used, but the code is in \weapons
removed idle sounds from scourge and armagon to reduce number of precached sounds
removed heavy chaingun reload anim and firenoammo function to reduce number of precached sounds
modified bot_fight.qc to make frikbots smarter when choosing weapons in close quarters
added lightsaber and proton storm modes. don't enable these simultaneously or simultaneously with all weapons on
added the mjolnir. modified it to do some radius damage when hits an enemy. sauron attack-like in the prologue to the lord of the rings. when you hit a wall it explodes
changed baron so that he jumps less and runs more
wielding lightsaber or hammer gives a 500% regeneration boost
fixed broken proton storm obit
added new obits for mini shambler. "smashed by a shambler" doesn't sound right 100% of the time
moved lburn sounds from blaze.qc to PainSound()
consolidated/eliminated some .float fields
modified magic buzzsaw final velocity
increased exploding gibs from ManExplode()
throwing axe now shreds a little bit
increased damage of positron sphere. increased range of positron beam
rocket pods are now the obliterator
added constant radial damage function in combat.qc
added the hologram
the ring of super jumping and ammo is now the RING OF POWER: double regeneration of health, armor, and ammo; super jumping and quad damage; take half damage! keep it till you die or the level ends. when someone has the ring of power they are BIGGER!

20070108
added the Elmo monster. Shoots energy beam and attacks with lightsaber. (elmo.qc, client.qc, dmsp.qc)
added the HomerBot monster. rocket pods and lightsaber
added the Ronald McBot. blazegun and lightsaber
added coop bitwise flags. 1 = standard. 2 = hook. 4 = all weapons. 8 = superduper health. add them together and do "coop #" + "-listen 8" to use. lightsaber and proton storm modes disabled for now. (weapons.qc, client.qc)
added the energy beam. some help from inside3d. nail gun with particle effects and radius damage
added the MIRV. all original code. idea from scorched earth. launch a rocket and it launches five rockets when it hits apogee

20070101
Lots of bug fixes. Thanks to bengt or this project would have stopped right here.
New skin for robot helper by bengt

20061127
added robot helper. adapted singe's rune of shambler helper. find red armor to use. the robot helper walks faster than the regular robot. if someone wants to make a new skin for him... GREAT! robots attack monsters in coop mode, and everything but owner in SP and DM modes (robot.qc, runes.qc, weapons.qc, client.qc)
added gravity well. another by singe. access it from the lightning gun.
changed ring of ammo and jetpack from time_finished to a bitflag so there's no palette shift. they last until death or level change (world.qc, items.qc, client.qc)
increased the melee damage of various monsters in ai_melee and ai_melee_side (fight.qc)
removed shubby (oldone.qc)
removed frikbot waypoint editing code (progs.src, bot.qc)
changed ring of ammo to ring of ammo and super jumping (client.qc, items.qc)
changed quad damage to quad damage and super regeneration (client.qc, items.qc)
changed superduper shotgun and triple shotgun to pm_firepellets, similar to elephant rifle
changed calcuation of lightsaber damage. damage is (90 + random*9)*(health/100) if health > 100. with quad and pent and megahealth, lightsaber damage is 90x2x3x4 to 99x2x3x4 or 2160 to 2970 per hit. more if coop = 2 (max_health = 400)

20061117
added ik's turret (turret.qc)
added bondo36: bondowalk 2
added bondo35: bondowalk
added bondo34: granny panties -- siege type map. clear out the infested fort
removed drunk missiles and replaced them with bouncing rockets. thanks cheap! (weapons.qc)
added new weapon: magic buzzsaw, thanks General WarT for model (buzzsaw.qc, weapons.qc)
added old weapon: vortex (dark.qc, weapons.qc, client.qc)
rebuilt old map: bondo24 is now "barns" inspired by "Barn v5"
removed zombie (zombie.qc)
gave robot a new death

20061104
added a bunch of new maps. see combat.qc. thanks to the guys at rocketland.com
changed a couple of names in frikbot.qc

20061029
Added the Armagon: cant get death bombs to reference correct death messages (hiparma.qc, client.qc)
Updated/fixed start map
Added incomplete bondo33

20061020
Made super shamblers appear in last wave of monsters if skill > 1
Added bondo25, bondo27, bondo32. updated combat.qc
Updated bondo30: added maze walls and changed lighting
Changed super blazegun to shoot straight ahead. ammo cost is 1 nail
Super Shamblers take 60% damage from heavy chaingun
SuperDuper shotgun isn't double damage anymore
Cell ammo is now 25 and 50
Plasma cannon damage now 30 to 40, average 35. Ammo cost is 1 cell
Added EF_MUZZLEFLASH to robot firing machine gun
Changed lightning gun from chain lightning to auto aiming lightning gun
fixed missing death message from nuke
Added start map

20060915
New weapon is the MMAW: Missile of Multiple Armed Warheads

20060824
Gave robot 300 75% armor
Made respawn time for ammo from 30 to 15. another suggestion from bengt
Increased backpack ammo for rockets to 10
Increased backpack ammo for shells to 50
Decreased jump height of baron
Removed some unused maps

20060629
Changed the firebomb. It now has more of the ROTT feel thanks to the Q2 explosion I got from the
eleven monster pack.
Fixed the "sound not precached" bug when the flaming jet propulsion wears out
added firebomb suicide message
clients now spawn in coop starts in certain maps made by me. in all other maps, client
spawns in dm spawns
increased melee attack speed of ogre/baron/fiend
increased walk speed of knight/fiend

20060513
added flamethrower/rocket launcher enforcer and plasma/lightning enforcer
added jetpack: "item_artifact_envirosuit"
removed some buggy maps from map rotation combat.qc
fixed killed monster count thanks to Bengt
fixed steam particles on flame and blaze guns thanks to Bengt
added "ring of ammo": "item_artifact_invisibility"
made elephant rifle more powerful, similar to doom 2 double barrelled shotgun. thanks patrick martin

20060225
added monster_baron by Carlos Silva
removed heavy enforcer and shalrath
made heavy monsters spawn according to skill setting
increased attack speed of knight/dog
increased run speed of dog

20060223
Fixed up the last of the broken death messages. I think
removed hologram
removed gas gun
added sticky grenades
removed blaze gun/nailgun
changed super blaze/nail and smartgun from SUPER_NAILGUN to NAILGUN
added twin chaingun

20060211
Added a new monster, using per-kr's awesome "armor" model. robot.qc and dmsp.qc
removed god weapons weapons.qc
added lightsaber and proton storm coop modes. frikbots will not fight in lightsaber mode (??) client.qc items.qc weapons.qc
bugs: sometimes you'll run into a monster with damage_no on when it's not supposed to be. don't know why. don't know how to fix it other than remove some code. i've removed just about all the guns i want to. don't want to remove any monsters.
fixed some death messages client.qc
fixed super shambler attack

20060124
Changed where player and bots spawn in coop. They now spawn in deathmatch spawns as in original DMSP2. client.qc
Changed a few bot names. frikbot\bot_misc.qc
Changed ranged attack of scourge to blender nails. hipscrg.qc
Changed map rotation code to allow for more maps. combat.qc
